PhotoGPT Developers

Get image metadata

GET
/images/{imageID}

Retrieves a sanitized image owned by the authenticated API user.

Authorization

BearerAuth
AuthorizationBearer <token>

Developer API key. Send as Authorization: Bearer <api_key>.

In: header

Path Parameters

imageID*string

Image ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/images/string"
{  "result": {    "createdAt": "string",    "data": {      "property1": null,      "property2": null    },    "folderID": "string",    "id": "string",    "liked": true,    "modelID": "string",    "publicMediaID": "string",    "type": "string",    "updatedAt": "string",    "upscaledImageID": "string",    "upscaledImageURL": "string",    "url": "string"  },  "status": "OK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}